# pydicom.valuerep.PersonNameBase

class `pydicom.valuerep.``PersonNameBase`(val)

  Base class for Person Name classes

  `__init__`(val)

    Initialize the PN properties

  Methods

  `__init__`(val) | Initialize the PN properties
  `formatted`(format_str) | Return a formatted string according to the format pattern
  `parse`() | Break down the components and name parts

  `formatted`(format_str)

    Return a formatted string according to the format pattern

    Parameters: | format_str (str) – The string to use for formatting the PN element value. Use “…%(property)…%(property)…” where property is one of family_name, given_name, middle_name, name_prefix, or name_suffix.
    Returns: | The formatted PN element value.
    Return type: | str

  `parse`()

    Break down the components and name parts